KDESU(1)

NAME
kdesu - Pokre&#263;e program sa povi&#353;enim ovla&#353;&#263;enjima.

SYNOPSIS

kdesu [-c] [-d] [-ffajl] [-iime-ikone] [-n] [-pprioritet] [-r] [-s] [-t] [-ukorisnik] [--nonewdcop] [naredba [arg1] [arg2] [...]]

kdesu [generi&#269;ke-KDE-opcije] [generi&#269;ke-Qt-opcije]

OPIS

KDE su je grafi&#269;ko su&#269;elje za unix naredbu su za KDE. Omogu&#263;ava vam da pokrenete program pod drugim korisnikom, zadav&#353;i njegovu lozinku. KDE su nije povla&#353;&#263;en program, ve&#263; koristi sistemsku su.

KDE su ima jednu dodatnu mogu&#263;nost: mo&#382;e opciono da pamti lozinke umesto vas. Ako se oslonite na ovo, za svaku naredbu treba samo jedanput da unesete lozinku.

Ovaj program je namenjen pokretanju iz komandne linije ili iz .desktop fajlova.

OPCIJE

-c naredba
    Zadaje da se naredba prosle&#273;ena kao argument izvr&#353;ava pod korenom. Na primer, kada po&#382;elite da pokrenete novi menad&#382;er fajlova, uneli biste u odzivnik: kdesu-c kfm -sw

-d  Ispis ispravlja&#269;kih podataka.

-f fajl
    Ova opcija omogu&#263;ava efikasno kori&#353;&#263;enje KDE sua u .desktop fajlovima. Govori KDE suu da ispita fajl zadat parametrom fajl: ako je taj fajl upisiv za trenutnog korisnika, KDE su &#263;e izvr&#353;iti naredbu pod tim korisnikom; ako nije, naredba se izvr&#353;ava pod zadatim korisnikom (podrazumevano je to koren, root). Parametar fajl obra&#273;uje se ovako: ako po&#269;inje sa /, uzima se za apsolutnu putanju do fajla; ina&#269;e, uzima se za ime globalnog KDE postavnog fajla. Na primer: da biste podesili menad&#382;er prijavljivanja KDM (kdm), mogli biste izdati kdesu-c kdmconfig -f kdmrc

-i ime-ikone
    Zadaje ikonu za upotrebu u dijalogu lozinke. Mo&#382;ete zadati samo ime bez nastavka.

-n  Bez pam&#263;enja lozinke. Isklju&#269;uje ku&#263;icu Upamti lozinku u dijalogu lozinke.

-p prioritet
    Postavlja vrednost prioriteta, na broj izme&#273;u 0 i 100: 0 zna&#269;i najni&#382;i prioritet, a 100 najvi&#353;i. Podrazumevano je 50.

-r  Stvarnovremensko raspore&#273;ivanje.

-s  Zaustavlja demona KDE sua, koji u pozadini ke&#353;ira prihva&#263;ene lozinke. Ova mogu&#263;nost tako&#273;e se mo&#382;e isklju&#269;iti opcijom -n pri prvom pokretanju KDE sua.

-t  Uklju&#269;uje terminalski izlaz. Tako&#273;e isklju&#269;uje pam&#263;enje lozinki. Ovo umnogome slu&#382;i u ispravlja&#269;ke svrhe; ako &#382;elite da pokrenete program konzolnog re&#382;ima, upotrebite umesto ovoga standardnu su.

-u korisnik
    Iako je naj&#269;e&#353;&#263;a primena KDE sua izvr&#353;avanje naredbe pod korenom, mo&#382;ete zadati bilo koje korisni&#269;ko ime i odgovaraju&#263;u lozinku.

VIDI JO&#353;

su(1)

Detaljnija korisni&#269;ka dokumentacija raspolo&#382;iva je kroz help:/kdesu (unesite ovaj URL u K-osvaja&#269;, ili izvr&#353;ite khelpcenter help:/kdesu).

PRIMERI

Izvr&#353;ite kfmclient pod korisnikom pera, s ikonom K-osvaja&#269;a u dijalogu lozinke:

    kdesu -u pera -i konqueror kfmclient

AUTORI

KDE su napisali su Gert Jansen (Geert Jansen) <jansen@kde.org> i Pijetro Iljo (Pietro Iglio) <iglio@fub.it>.

AUTHOR
Lori Vots (Lauri Watts).